import numpy as np
'''
def get_data():
    """
    数据预处理
    """
    # 获取原始数据
    train_x_ori, train_y_set, test_x_ori, test_y_set, classes = utils.load_data_sets()
    # m_train: 训练集样本数量
    m_train = train_x_ori.shape[0]
    # m_test: 测试集样本数量
    m_test = test_x_ori.shape[0]
    # 图片样本长宽像素数量
    num_px_x = train_x_ori.shape[1]
    num_px_y = train_x_ori.shape[2]

    # 定义输入数据维度，注意样本图像是3通道
    DATA_DIM = num_px_x * num_px_y * 3

    # 转换数据形状为
    train_x_flatten = train_x_ori.reshape(m_train, -1)
    test_x_flatten = test_x_ori.reshape(m_test, -1)

    # 归一化处理
    train_x_set = train_x_flatten / 255
    test_x_set = test_x_flatten / 255

    # 合并数据
    train_set = np.hstack((train_x_set, train_y_set.T))
    test_set = np.hstack((test_x_set, test_y_set.T))

    return train_set, test_set, DATA_DIM, classes
'''
data1=[1,2,3,4,5,6,7,8,9]

def read_data(data_set):
    """
    构造reader
    迭代器
    :param data_set: 要获取的数据的数据集
    :return: reader: 用户返回训练数据及数据标签的生成器(generator)
    """
    def reader():
        """
        一个reader生成器
        :return: 每次训练数据及数据标签
        data[:-1]: 训练数据
        data[-1:]: 数据标签
        """
        for data in data_set:
            yield data[:-1],data[-1:]
    return reader
#reader=read_data(data1)
#reader1=reader()
#print(type(reader1))
